# DataExchange
TKSTL
StlAPI

# StlAPI_Reader Class Reference

Reading from stereolithography format.
.

`#include <StlAPI_Reader.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | StlAPI_Reader ()
Standard_EXPORT void | Read (TopoDS_Shape &aShape, const Standard_CString aFileName)

## Constructor & Destructor Documentation

Standard_EXPORT StlAPI_Reader::StlAPI_Reader | ( |  | ) |

## Member Function Documentation

void StlAPI_Reader::operator delete | ( | void * | anAddress | ) | `[inline]`

void* StlAPI_Reader::operator new | ( | size_t | size | ) | `[inline]`

void* StlAPI_Reader::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Standard_EXPORT void StlAPI_Reader::Read | ( | TopoDS_Shape & | aShape,
|  | const Standard_CString | aFileName
| ) |

The documentation for this class was generated from the following file:

- StlAPI_Reader.hxx